Skip to main content

Edit a stored ssh-key

PUT/v2/users/self/ssh-keys/{sshKeyId}
API version
v2
Request method
PUT
Operation ID
user-edit-ssh-key

Request​

  • sshKeyIdstring (uuid)required

Responses​

No response content specified.

Usage examples​

$ curl \
--fail \
--location \
-X PUT \
-d '{"comment":"a.lovelace@example.com","expiresAt":"1985-10-26T01:21:00.000Z"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/users/self/ssh-keys/f0f86186-0a5a-45b2-aa33-502777496347
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.user.editSshKey({
"sshKeyId": "f0f86186-0a5a-45b2-aa33-502777496347",
"data": {
"comment": "a.lovelace@example.com",
"expiresAt": "1985-10-26T01:21:00.000Z"
}
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\User\EditSshKey\EditSshKeyRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\User\EditSshKey\EditSshKeyRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// EditSshKeyRequestBody to learn how to construct a valid instance
$body = new EditSshKeyRequestBody(/* TODO: ... */);

$request = (new EditSshKeyRequest(
sshKeyId: "f0f86186-0a5a-45b2-aa33-502777496347",
body: $body
));
$response = $client->user()->editSshKey($request);

var_dump($response->getBody();

On this page